package com.fjhx.entity.stock;

import com.fjhx.params.stock.ChangeProduct;
import com.fjhx.params.stock.StockChangeVo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ManualVo {

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 出库类型
     */
    private Integer type;

    /**
     * 产品列表
     */
    private List<ChangeProduct> changeProductList;



}
