package com.fjhx.params.stock;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class PurchaseInStockVo implements StockChangeVo.ChangeDetails {

    /**
     * 业务ID
     */
    private Long businessId;

    /**
     * 物品ID
     */
    private Long goodsId;

    /**
     * 仓库ID
     */
    private Long warehouseId;

    /**
     * 入库数量
     */
    private BigDecimal changeQuantity;

    /**
     * 备注
     */
    private String remarks;
}
