package com.fjhx.mapper.stock;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.stock.Stock;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 库存 Mapper 接口
 * </p>
 *
 * @author ${author}
 * @since 2022-11-24
 */
public interface StockMapper extends BaseMapper<Stock> {
    Page<Map<String, Object>> pageByWarehouseId(@Param("page") Page<Object> page, @Param("warehouseId") Long warehouseId);

}
