package com.fjhx.service.logistics;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.logistics.LogisticsDetails;
import com.fjhx.params.logistics.LogisticsDetailsVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 物流明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-30
 */
public interface LogisticsDetailsService extends BaseService<LogisticsDetails> {

    Page<LogisticsDetails> getPage(Map<String, Object> condition);

    void add(LogisticsDetailsVo logisticsDetailsVo);

    void edit(LogisticsDetailsVo logisticsDetailsVo);

    void delete(LogisticsDetailsVo logisticsDetailsVo);

    /**
     * 根据物流单ID查询物流明细
     *
     * @param logisticsInfoId 物流单ID
     * @return
     */
    List<LogisticsDetails> getByLogisticsInfoId(Long logisticsInfoId);

}
